import { SidebarItem } from '../../toolbar';
import { Bookmark } from './bookmark';
export declare class BookmarkSidebarItem extends SidebarItem {
    get bookmarkService(): import('./bookmark-service').BookmarkService | undefined;
    build(): HTMLDivElement;
    protected renderList(container: HTMLElement, bookmarks?: Bookmark[]): void;
    protected renderItem(bookmark: Bookmark): HTMLDivElement;
}
